Subject: Re: bug#78714: 30.1; failure binding keys to certain unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2025 15:45:04 +0300

[Please use Reply All" to reply, so as to keep the bug tracker CC'ed.]

> From: John Holman <[email-masked]>
> Date: Sat, 7 Jun 2025 13:38:49 +0100
> 
> Many thanks for the fast response. I do think that's a surprising feature and that most users would expect
> "\u00B2" to be interpreted as a unicode character especially given the \u representation, which I think is
> specific to Unicode even if treated as just a variant numerical representation in emacs. Would it make sense
> for emacs to take the \u format into account when interpreting that string?

I don't think this is feasible, since by the time the character is
interpreted the information that it came from a "\uNNN" format is long
gone.  But maybe Stefan (CC'ed) will have some ideas.